##################################################################
# Author: Giuseppe                                               #
# Date: 2006-12-20                                               #
# Purpose: To test that event effects are replicated             #
# in both row based and statement based format                   #
##################################################################

--disable_warnings
drop event if exists justonce;
drop table if exists t1,t2;
--enable_warnings

# first, we need a table to record something from an event

CREATE TABLE `t1` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `c` varchar(50) NOT NULL,
  `ts` timestamp NOT NULL default CURRENT_TIMESTAMP on update
CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

insert into t1 (c) values ('manually');

# then, we create the event
create event justonce on schedule at now() + interval 2 second do insert into t1
(c) values ('from justonce');

# wait 3 seconds, so the event can trigger
--real_sleep 3

# check that table t1 contains something
--echo "in the master"
--enable_info
--replace_column 3 TIMESTAMP
select * from t1;
--disable_info

sync_slave_with_master;
connection slave;

--echo "in the slave"
--enable_info
--replace_column 3 TIMESTAMP
select * from t1;
--disable_info

connection master;
drop table t1;

